@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Oswald:wght@200..700&display=swap');
*{
    border: none;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/* global */
:root{
    --red: #FF4545;
    --orange-1: #D9641E;
    --orange-2: #ED7D27;
    --white: #F7F7F7;
    --grey: #41423A;
    --black: #141414;
    --lato: "Oswald", sans-serif;
    --radius: 5px;
  }
  body{
    font-family: var(--lato);
  }
  /* main */
  main{
    min-height: 100vh;
    background: url('../image/duvidas_bg.jpg');
    background-size: cover;
    background-position: center top;
    padding: 0 25px;
    animation: main-bg infinite 20s ease-out;
    position: fixed;
    width: 100%;
  }
  /* @keyframes main-bg {
    0%{background-position: right;}
    10%{background-position: 90%;}
    15%{background-position: 90%;}
    20%{background-position: 0%;}
    35%{background-position: 5%;}
    37%{background-position: 2%;}
    45%{background-position: 0%;}
    50%{background-position: 50%;}
    56%{background-position: 0%;}
    60%{background-position: 90%;}
    80%{background-position: 100%;}
  } */
/* nav */
nav{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding-top: 5px;
}
nav img{
  max-width: 50px;
}
.social-icons a{
  text-decoration: none;
  font-size: 1.5em;
  color: var(--white);
  margin-left: 10px;
}
/* header */
header{
  display: flex;
  flex-direction: column;
  justify-content: start;
  min-height: 100vh;
  text-align: left;
}
.header-txt{
  text-align: left;
  display: flex;
  flex-direction: column;
  align-items: start;
  margin-top: 50px;
  gap: 30px;
  max-width: 400px;
}
header h1{
  color: var(--white);
  font-size: 4em;
  line-height: 1;
  max-width: 600px;
  text-shadow: 1px 1px 2px black, -1px -1px 2px black;
}
.header-txt a{
  text-decoration: none;
  background-color: var(--red);
  color: var(--white);
  padding: 10px;
  border-radius: var(--radius);
  box-shadow: 5px 5px black;
  font-weight: 400;
  font-size: 1.4em;
}
/* ========== QUERIES ========= */
@media screen and (min-width: 753px){

}

/* ===========Botão=========== */
.btn {
  display: inline-block;
  padding: 10px 20px;
  background-color: #007bff;
  color: white;
  text-decoration: none;
  border-radius: 5px;
  cursor: pointer;
}

/* Estilos do modal */
.modal {
  display: flex; /* Modal usa flexbox para centralizar o conteúdo */
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  min-height: 100vh;
  padding: 50px 0;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
  opacity: 0; /* Inicialmente invisível */
  visibility: hidden; /* Garante que não é interativo quando oculto */
  transition: opacity 0.4s ease, visibility 0.4s ease; /* Animações */
}

/* Quando o modal está ativo (mostrado) */
.modal.mostrar {
  opacity: 1; /* Fica visível */
  visibility: visible; /* Permite interação */
}

/* Conteúdo do modal */
.modal-content {
  background-color: var(--white);
  padding: 40px 20px;
  max-width: 600px;
  width: 90%;
  border-radius: 4px;
  text-align: left;
  position: relative;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  transition: transform 0.4s ease; /* Para futuras animações de zoom */
}

/* modal item */
.modal-item{
  margin-bottom: 20px;
}

/* Botão de fechar (X) */
.fechar-modal {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 24px;
  font-weight: bold;
  cursor: pointer;
  color: var(--white);
  padding: 10px;
  border-radius: var(--radius);
  background-color: var(--black);
}

.fechar-modal:hover {
  color: red;
}
.btn-prof-acao{
  color: var(--white);
  background-color: var(--orange-1);
  padding: 5px 100px;
  border-radius: var(--radius);
  font-size: 2em;
}
.prof p{
  margin-bottom: 20px;
}